:root {
    --background-color: #F7F7F7;
    --primary-color: #ED145B;
    --secondary-color: #000;
    --secondary-color-extra: #153e58;
}
@media only screen and (min-width:999px) {

    .mobile-search {
        display: none;
    }

    .mobile-filter-toggle {
        display: none;
    }
}
@media only screen and (min-width:768px) and (max-width:1024px) {
   .category-slider {
        grid-template-columns: repeat(3,1fr) !important;
    }
    .product_slider.product_slider1 {
        grid-template-columns: 1fr 1fr 1fr !important;
    }
    .category_footer_banner {
        grid-template-columns: 1fr 1fr 1fr !important;
    }
    .about__nobo {
        grid-template-columns: 55% 45% !important;
    }
    .d-none-for-md{
        display:none;
    }
    .product_slider {
        grid-template-columns: 1fr 1fr 1fr !important;
    }
    
    .filter_btn, .filter_close {
        display: none !important;
    }
    .filter_sidebar {
        position: static !important;
        visibility: visible !important;
        opacity: 1 !important;
    }
    .container-fluid {
        width: 97% !important;
    }
    .filter_sort {
        grid-template-columns: 1fr !important;
    }
    .product-inner.related_slider {
        grid-template-columns: repeat(3, 1fr) !important;
    }
    section.subscription-section {
        margin-left: -151px !important;
    }
    .sub-wrapper {
       width: 90%;
    }
    
    .only__show__mb__desk{
        display:block !important;
    }
    p.banner__name {
    font-size: 17px !important;
}
  
   
}

@media only screen and (min-width:320px) and (max-width:999px) {
    .container-custom {
        padding: 0 15px;
        overflow: hidden;
    }
    section.subscription-section {
    margin-left: -131px;
}
.sub-wrapper {
       width: 90%;
    }
.top-strip {
     gap: 0px; 
}
p.banner__name {
    font-size: 26px;
}
.segmented .item {
    position: relative;
    padding: 9px 18px;
}
   .product_slider.product_slider1 {
        display: grid;
        grid-template-columns: 1fr 1fr;
        gap: 12px 5px;
    }
    h3.category-name {
        width: auto;
    }
    .topbar_login {
    display: none;
}
.top__bar {
    display: grid;
    grid-template-columns: 100%;
    align-items: anchor-center;
}
.category-slider {
    grid-template-columns: repeat(2,1fr);
}
.category_footer_banner {
    display: grid;
    grid-template-columns: 1fr;
    gap: 15px;
}
.about__nobo {
    display: grid;
    grid-template-columns: 100%;
    align-items: anchor-center;
}
.product_slider {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 12px;
}
    div#variable-modal {
        padding: 10px;
    }
    #variable-modal .modal-view {
        width: 100%;
        padding: 20px;
    }
    .close-variable-button {
        right: 0;
        top: 0;
    }
    .dimage_item img {
        object-fit: contain;
        pointer-events: none;
    }
    .mobile-header.fixed-top {
        top: -40px;
        transform: translateY(40px);
        transition: transform 1s;
        background: #fff;
    }
    .mobile-header.fixed-top {
        top: -40px;
        transform: translateY(40px);
        transition: transform 1s;
    }
    .checkout-shipping .card-header {
        padding: 15px;
    }
    .coupon-section{
        display: none;
    }
    .pro_img {
        height: auto;
    }

    .logo-item {
        text-align: center;
    }

    .product_sliders {
        grid-template-columns: repeat(2, 1fr);
        grid-gap: 10px;
    }

    .footer_nav ul li a span {
        display: block;
        font-weight: 400;
    }
    .cat_img a {
        display: block;
        height: 100%;
    }

    .cat_img img {
        height: 100%;
    }

    .cat_img {
        height: 50px;
        text-align: center;
    }
    .sidebar-menu {
        display: block;
    }
   .sidebar-menu {
        background: #f5f7f9;
        margin: 0;
        border-radius: 3px;
    }
    li.mobile_home a {
        color: #fff;
    }
    .fixed_whats a {
        bottom: 5px;
        right: 10px;
    }
    .scrolltop {
        display: none !important;
    }

    .mobile_hide {
        display: none;
    }

    .desktop_hide {
        display: block;
    }
    .sorting-section {
        margin-top: -15px;
    }
    .card-body.cartlist {
        overflow-x: scroll;
    }
    .section-title-header .section-title-name {
        font-size: 15px;
    }

    #content {
        margin-left: 0;
        padding-top: 0;
    }

    .page-sort {
        padding-right: 6px;
    }

    .showing-data {
        display: none;
    }

    .mobile-filter-toggle {
        display: flex;
        justify-content: center;
        margin: 10px 0;
        align-items: center;
        column-gap: 10px;
        display: none;
    }

    .home-slider-container {
        width: 100%;
        margin-left: 0;
    }
    .category-breadcrumb {
        margin-bottom: 12px;
    }
    .category-product {
        grid-template-columns: repeat(2, 1fr);
    }

    
    .footer-menu.use_link_m ul li {
        font-size: 16px;
    }
    .footer-menu.use_link_m ul li a {
        padding: 0 !important;
        margin: 0 !important;
    }
    .footer-menu ul li a {
        margin-bottom: 5px;
    }
    .mobile-search {
        background-color: #fff;
        padding: 0px 6px;
        padding-top: 0;
        display: block;
    }



.main-search.mobile-search {
    margin-top: 0;
    padding: 8px 15px;
    background: #d2d2d2;
    position: absolute;
    width: 100%;
    z-index: 99;
}
.payment-methods label {
    margin: 0 !important;
}
.mobile-search {
    display: none;
    transition: all 0.3s ease;
}

.mobile-search.active {
    display: block;
}
a.search_top {
    cursor: pointer;
}
.main-search.mobile-search form {
    height: 40px;
    background: #fff;
}
.main_top_bar {
    padding: 5px 0;
    background: #000000;
    color: white;
}
.filter_btn {
    display: inline-block;
    background: var(--secondary-color);
    color: #fff;
    width: 55px;
    height: 33px;
    line-height: 33px;
    font-size: 17px;
    border: 1px solid #ddd;
    text-align: center;
    text-transform: capitalize;
    cursor: pointer;
}
.filter_sort {
    display: grid;
    grid-template-columns: 1fr 1fr;
    align-items: center;
    padding: 0 6px;
    margin-top: 12px;
}
.filter_close {
    background: var(--secondary-color);
    padding: 10px 15px;
    font-size: 18px;
    color: #fff;
    border-radius: 5px;
    margin: 8px 0;
    cursor: pointer;
    display: block;
}
.filter_sidebar.active {
    background: #fff;
    z-index: 9999;
    height: 100%;
    width: 97%;
    top: 2px;
    visibility: visible;
    opacity: 1;
    overflow-y: auto;
}
.filter_sidebar {
    position: fixed;
    visibility: hidden;
    opacity: 0;
    top: 30px;
    transition: 0.35s all;
    background: #fff;
}
    

    .logo-area {
        display: none;
    }

    .menu-area {
        display: none;
    }

    .header-left {
        justify-content: center;
    }

    .header-right {
        display: none;
    }

    .category-item {
        padding: 5px 0;
    }

    .category-item p {
        font-weight: 400;
    }

    .qty-cart .quantity {
        height: 35px;
        margin-left: 4px;
    }

    .quantity .minus, .quantity .plus {
        height: 35px;
        line-height: 35px;
        width: 35px;
        font-size: 23px;
    }
.pro_imgs {
    height: auto;
}
    .d-flex.single_product.col-sm-6 {
        margin-left: 4px;
        margin-top: 10px;
    }

    .qty-cart {
        width: auto !important;
    }

    .cus-order-2 {
        order: 0;
    }

    .cus-order-1 {
        order: 1;
    }

    .chheckout-section {
        padding: 10px 0;
    }

    .cart_details {
        margin-bottom: 15px;
    }

    .success-img img {
        width: 200px;
    }

    .main_product_inner {
        grid-template-columns: 1fr 1fr;
    }

    .qty-cart {
        grid-template-columns: 130px auto;
    }

    .quantity .minus {
        width: 40px;
    }

    .quantity .plus {
        width: 40px;
    }

    .compare_store.mobile-show {
        display: block !important;
        line-height: 42px;
        text-align: center;
    }

    .add-to-cart.mobile-fix {
        position: fixed;
        bottom: 64px;
        left: 0;
        right: 0;
        z-index: 999;
        padding: 10px;
        margin: 0 10px;
    }
   .delivery-partner {
    text-align: left !important;
    height: 50px;
    width: 120px;
}
.pro_des {
    min-width: 90%;
}
.brand-item {
    height: 115px;
}
.category___image__here {
    position: relative;
    margin-bottom: 25px;
}
.nobo__right_right {
    margin-top: 15px;
}
.product-inner.related_slider {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 5px;
}
.pro_pricess {
    text-align: center;
    width: 95%;
    background: #fff;
    box-shadow: -4px -4px 15px #ddd;
    margin-top: -10px !important;
    position: relative;
    margin: 0 auto;
    border-radius: 5px;
    margin-bottom: 0px;
    font-size: 12px;
}

    .footer-top {
        padding: 30px 0;
    }

    .front-view-flex {
        padding: 10px 0px;
    }

    .front_category_title h1 {
        font-size: 20px;
    }

    .front-view-item {
        margin-bottom: 15px;
    }

    .front-view-title a {
        font-size: 13px;
    }

    .home-page-section-title-box h3 {
        font-size: 20px;
    }

    .category-banner-products {
        padding: 20px 5px;
    }

    .flash-product-section .col-sm-4 {
        padding: 10px 10px !important;
    }

    .flash_all {
        margin-top: 10px;
    }

    .slider-section .offset-sm-3 {
        padding-left: 5px;
    }

    .main-header {
        display: none;
    }

    .mobile-header {
        display: block;
        background-color: #fff;
    }

    .mobile-top {
        background: #108BC3;
        padding: 8px 0;
    }

    .mobile-top ul {
        text-align: right;
    }

    .mobile-top ul li a {
        color: #fff;
        margin: 0 5px;
    }

.mobile-logo {
    display: grid;
    grid-template-columns: 15% 50% 11% 11% 11%;
    text-align: center;
    font-size: 16px;
    height: 55px;
    align-items: center;
    justify-content: space-between;
    width: 95%;
    margin: 0 auto;
}
.menu-logo {
    text-align: left;
}
.menu-logo img {
    height: 25px;
    width: 95px;
}
    .footer_nav ul {
        margin-top: -8px;
    }

    .fixed-top .mobile-logo i {
        margin-bottom: 0px;
        color: #000 !important;
    }

 
    .footer-menu {
        padding-left: 20px;
    }

   ul.social_link {
    margin-top: 10px;
}
    a.mobile-social-link {
        text-align: center !important;
    }


    .search_product {
        position: absolute;
        width: 330px;
        background: #fff;
        z-index: 999999;
        border: 1px solid #ddd;
        top: 0;
        right: 12px;
    }

    .menu-bar {
        margin-top: 0;
    }

    .menu-bag .margin-shopping {
        position: relative;
        width: 30px;
    }

    .menu-bag .margin-shopping span {
        position: absolute;
        display: inline-block;
        background-color: var(--secondary-color);
        height: 20px;
        border-radius: 50px;
        padding: 1px 7px;
        font-size: 12px;
        font-weight: 700;
        color: #fff;
        top: -10px;
        right: 0;
    }

    .menu-bag .margin-shopping span i.fa-solid.fa-bag-shopping {
        font-size: 22px;
    }

    .menu-bag {
        margin-top: 9px;
        display: flex;
        justify-content: flex-end;
        margin-right: 1px;
    }

    .menu-bag i {
        font-size: 20px;
    }

    .menu-bag ul li a {
        margin-right: 15px;
        position: relative;
    }

    .menu-bag .margin-shopping span {
        position: absolute;
        display: inline-block;
        background-color: var(--secondary-color);
        height: 19px;
        border-radius: 50px;
        padding: 1px 6px;
        font-size: 12px;
        font-weight: 700;
        color: #fff;
        top: -9px;
        right: -9px;
    }
    .slider-section {
        margin: 15px 0;
    }
.slider-item {
    margin-top: 0px;
}
    .d-flex.details-btns button {
        padding: 0px 0px;
        width: 50%;
    }
    button.order_now_btn.add_to_event {
        width: 100%;
        padding: 8px;
    }
    .banner-right {
        display: grid;
        grid-template-columns: 1fr 1fr;
        gap: 15px;
        margin-top: 15px;
    }
    .banner-right .item-1 {
        margin-bottom: 0;
    }
    button.owl-next,button.owl-prev {
        font-size: 22px !important;
    }
  .cat-img {
    height: auto;
}
    .section-title h3 {
        font-size: 14px;
        font-weight: 600;
    }
    .category-title h3 {
        font-size: 14px;
    }
    .footer_nav ul li i {
        font-size: 20px;
        width: 35px;
        height: 35px;
        padding: 9px;
        border-radius: 7px;
    }

    .footer-bottom {
        padding: 12px 0;
    }
    .footer-about p {
        margin: 0px 0px;
    }
    .footer-menu .title {
        margin-top: 15px;
    }
    .footer-about {
        padding-left: 20px;
    }
    .footer-hotlint{
        margin-bottom: 0;
    }
    li.title.text-center {
        text-align: left !important;
    }
    .social_link {
        justify-content: left;
    }

    li.mobile_home {
        border: 2px solid #ddd;
        margin-top: -27px;
        background: var(--secondary-color);
        padding-top: 15px;
        border-radius: 50%;
        width: 75px;
        height: 75px;
    }
    .cart_btn a, .cart_btn button, .variable-modals {
    padding: 1px 0;
}
    .pro_btn button {
        font-size: 13px;
    }
     .cart_btn a {
        font-size: 14px;
    }

    .mobile_home span i {
        width: 0 !important;
        height: 0 !important;
        padding: 0 !important;
        border-radius: 0 !important;
        margin-right: 22px;
    }

    a.view_more_btn {
        text-align: right;
        float: right;
        background: var(--secondary-color);
        text-transform: capitalize;
        font-size: 15px;
        padding: 7px 15px;
        color: #fff;
        font-family: "Lato", sans-serif;
        border-radius: 50px;
    }

    .section-title-left h4 {
        font-size: 16px;
    }

    .section-title-right a {
        font-size: 13px;
    }

    .product-info .name {
        height: 70px;
    }

    .product-info {
        padding: 15px 10px;
    }

    .row>* {
        padding-right: calc(var(--bs-gutter-x) * .3);
        padding-left: calc(var(--bs-gutter-x) * .3);
    }

    .footer-top {
        padding-bottom: 25px;
        padding-top: 25px;
    }


    .category-sidebar {
        position: fixed;
        z-index: 9999;
        width: 100%;
        top: 0;
        background: #fff;
        left: 0;
        visibility: hidden;
        opacity: 0;
        transition: 0.35s all;
    }


    .page-title h5 {
        font-size: 16px;
    }

    .product-section {
        margin-top: 0;
    }

    .sort-form select {
        font-size: 14px;
    }

    .category-sidebar.active {
        visibility: visible;
        opacity: 1;
    }

    .auth-section, .checkout-shipping {
        margin-top: 5px;
    }

    .payment-form .gap-3 {
        gap: 0 !important;
    }

    .close-modal {
        left: 50%;
        top: -17px;
        transform: translateX(-50%);
    }

    .vcart-section {
        margin-top: 60px;
    }

    .menu-product {
        display: none;
    }
    .details-product {
        padding: 20px;
    }
    .details_right {
        padding: 0px 0px;
    }
    .details-wishlist {
        display: none !important;
    }

    a.details-wishlist.compare_store.cursor {
        display: none !important;
    }
    .sub-wrapper input {
        width: 150px;
    }
}

@media only screen and (min-width:767px) and (max-width:991px) {
    .menu-product {
        display: none;
    }

}

@media only screen and (min-width:992px) and (max-width:1140px) {}

@media only screen and (min-width:1141px) {}
